Bug 178279 - [patch] update astro/gpsd to 3.9
Summary: [patch] update astro/gpsd to 3.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-01 14:20 UTC by Gleb Smirnoff
Modified: 2013-05-03 06:00 UTC (History)
0 users

See Also:


Attachments
file.diff (6.35 KB, patch)
2013-05-01 14:20 UTC, Gleb Smirnoff
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Smirnoff freebsd_committer 2013-05-01 14:20:00 UTC
	Attached patch:

	- updates to 3.9
	- fixes build on head
	- removes couple of stale options and patches
Comment 1 Edwin Groothuis freebsd_committer 2013-05-01 14:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glebius

Submitter is maintainer and has GNATS access (via the GNATS Auto Assign 
Tool)
Comment 2 Gleb Smirnoff freebsd_committer 2013-05-01 14:32:03 UTC
Responsible Changed
From-To: glebius->freebsd-ports-bugs

I am not port committer.
Comment 3 Mark Linimon 2013-05-02 17:37:23 UTC
----- Forwarded message from Edwin Groothuis <edwin@mavetju.org> -----

Date: Thu, 02 May 2013 20:07:01 +1000
From: Edwin Groothuis <edwin@mavetju.org>
To: Gleb Smirnoff <glebius@FreeBSD.org>
Cc: freebsd-ports-bugs@FreeBSD.org, edwin@FreeBSD.org
Subject: Re: ports/178279: [patch] update astro/gpsd to 3.9
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7;
	rv:17.0) Gecko/20130328 Thunderbird/17.0.5

If you have a working patch, let me know and I'll approve it so you
can fix the port.
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"


----- End forwarded message -----
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2013-05-03 05:54:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 5 dfilter service freebsd_committer 2013-05-03 05:56:55 UTC
Author: rm
Date: Fri May  3 04:56:40 2013
New Revision: 317170
URL: http://svnweb.freebsd.org/changeset/ports/317170

Log:
  - update astro/gpsd to 3.9
  - fix build on head
  - remove stale options and patch
  - chase the update in dependent ports
  
  PR:		178279
  Submitted by:	glebius (maintainer)

Deleted:
  head/astro/gpsd/files/patch-libgps.h
Modified:
  head/astro/foxtrotgps/Makefile
  head/astro/gpsd/Makefile
  head/astro/gpsd/distinfo
  head/astro/gpsd/files/patch-SConstruct
  head/astro/gpsd/pkg-descr
  head/astro/gpsd/pkg-plist
  head/astro/marble/Makefile
  head/astro/qlandkartegt/Makefile
  head/x11/kde4-workspace/Makefile

Modified: head/astro/foxtrotgps/Makefile
==============================================================================
--- head/astro/foxtrotgps/Makefile	Fri May  3 04:34:36 2013	(r317169)
+++ head/astro/foxtrotgps/Makefile	Fri May  3 04:56:40 2013	(r317170)
@@ -3,7 +3,7 @@
 
 PORTNAME=	foxtrotgps
 PORTVERSION=	1.1.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	astro geography
 MASTER_SITES=	http://www.foxtrotgps.org/releases/
 

Modified: head/astro/gpsd/Makefile
==============================================================================
--- head/astro/gpsd/Makefile	Fri May  3 04:34:36 2013	(r317169)
+++ head/astro/gpsd/Makefile	Fri May  3 04:56:40 2013	(r317170)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	gpsd
-PORTVERSION=	3.6
-PORTREVISION=	1
+PORTVERSION=	3.9
 CATEGORIES=	astro geography
 MASTER_SITES=	SAVANNAH
 
@@ -21,7 +20,7 @@ INSTALLS_EGGINFO=	yes
 PYDISTUTILS_EGGINFO=	gps-${PORTVERSION}.egg-info
 MAKE_JOBS_SAFE=	yes
 
-SCONS_BUILDENV=	${SCONS_ENV}
+SCONS_BUILDENV=	CC=${CC}
 SCONS_ARGS=	prefix="${PREFIX}" mandir="man" pkgconfig="libdata/pkgconfig" \
 		chrpath=no
 
@@ -30,12 +29,12 @@ MAN1=	cgps.1 gegps.1 gps.1 gpscat.1 gpsc
 	gpsmon.1 lcdgps.1
 MAN3=	libgps.3 libgpsd.3 libgpsmm.3 libQgpsmm.3
 MAN5=	srec.5 gpsd_json.5
-MAN8=	gpsd.8 gpsdctl.8
+MAN8=	gpsd.8 gpsdctl.8 gpsinit.8
 MANCOMPRESSED=	no
 
 OPTIONS_DEFINE=	AIVDM ASHTECH CPPBIND DBUS EARTHMATE EVERMORE FV18 GARMIN GARMINTXT \
-		GEOSTAR GPSCLOCK GTK2 IPV6 ITRAX MTK NAVCOM NETFEED NCURSES NMEA NTPSHM NTRIP \
-		OCEANSERVER OLDPROTO ONCORE PASSTHROUGH PPS PPSONCTS PROFILING RECONFIGURE \
+		GEOSTAR GPSCLOCK GTK2 IPV6 ITRAX MTK NAVCOM NETFEED NMEA NTPSHM NTRIP \
+		OCEANSERVER OLDPROTO ONCORE PASSTHROUGH PPS PROFILING RECONFIGURE \
 		RTCM104V2 RTCM104V3 SHMEXPORT SIRF SOCKEXPORT SUPERSTARII TIMING TNT TRIPMATE \
 		TSIP QTBIND UBX USB
 OPTIONS_DEFAULT=	AIVDM ASHTECH CPPBIND EARTHMATE EVERMORE FV18 GARMIN GARMINTXT GEOSTAR \
@@ -57,7 +56,6 @@ GTK2_DESC=		Install py-gtk2 (required fo
 ITRAX_DESC=		iTrax support
 MTK_DESC=		MTK-3301 support
 NAVCOM_DESC=		Navcom support
-NCURSES_DESC=		Build with ncurses(3)
 NETFEED_DESC=		Build support for handling TCP/IP data sources
 NMEA_DESC=		NMEA support
 NTPSHM_DESC=		NTP time hinting support
@@ -67,7 +65,6 @@ OLDPROTO_DESC=		Old (pre-JSON) protocol 
 ONCORE_DESC=		Motorola OnCore chipset support
 PASSTHROUGH_DESC=	Build support for passing through JSON
 PPS_DESC=		PPS time syncing support
-PPSONCTS_DESC=		PPS pulse on CTS rather than DCD
 PROFILING_DESC=		Profiling support
 RECONFIGURE_DESC=	Allow gpsd to change device settings
 RTCM104V2_DESC=		rtcm104v2 support
@@ -197,10 +194,6 @@ IGNORE=		PPS requires NTPSHM
 .	endif
 .endif
 
-.if ${PORT_OPTIONS:MPPSONCTS}
-SCONS_ARGS+=	pps_on_cts=yes
-.endif
-
 # Export methods
 .if ! ${PORT_OPTIONS:MSOCKEXPORT}
 SCONS_ARGS+=	socket_export=no
@@ -260,14 +253,6 @@ SCONS_ARGS+=	reconfigure=no
 SCONS_ARGS+=	libgpsmm=no
 .endif
 
-.if ! ${PORT_OPTIONS:MNCURSES}
-SCONS_ARGS+=	ncurses=no
-PLIST_SUB+=	CURSES="@comment "
-.else
-PLIST_SUB+=	CURSES=""
-USE_NCURSES=	yes
-.endif
-
 # Build control
 .if ${PORT_OPTIONS:MPROFILING}
 SCONS_ARGS+=	profiling=yes

Modified: head/astro/gpsd/distinfo
==============================================================================
--- head/astro/gpsd/distinfo	Fri May  3 04:34:36 2013	(r317169)
+++ head/astro/gpsd/distinfo	Fri May  3 04:56:40 2013	(r317170)
@@ -1,2 +1,2 @@
-SHA256 (gpsd-3.6.tar.gz) = 53a078dd547a17c4eeb0529a6d6eb338dac217811caf9644a0194184219494cc
-SIZE (gpsd-3.6.tar.gz) = 1449822
+SHA256 (gpsd-3.9.tar.gz) = d9b24be838b48db5e8eba66f74edf32d1982fe0fb018c9d9a7ad1ada9f189d5a
+SIZE (gpsd-3.9.tar.gz) = 1518775

Modified: head/astro/gpsd/files/patch-SConstruct
==============================================================================
--- head/astro/gpsd/files/patch-SConstruct	Fri May  3 04:34:36 2013	(r317169)
+++ head/astro/gpsd/files/patch-SConstruct	Fri May  3 04:56:40 2013	(r317170)
@@ -1,27 +1,27 @@
---- SConstruct.orig	2012-01-12 20:41:41.000000000 +0400
-+++ SConstruct	2012-01-14 03:42:13.000000000 +0400
-@@ -423,14 +423,7 @@
- # are like FreeBSD.
- ncurseslibs= []
- if env['ncurses']:
--    if config.CheckPKG('ncurses'):
--        ncurseslibs = pkg_config('ncurses')
--    elif config.CheckExecutable('ncurses5-config --version', 'ncurses5-config'):
--        ncurseslibs = ['!ncurses5-config --libs --cflags']
--    elif sys.platform.startswith('freebsd'):
--        ncurseslibs= [ '-lncurses' ]
--    elif sys.platform.startswith('openbsd'):
--        ncurseslibs= [ '-lcurses' ]
-+    ncurseslibs= [ '-lncurses' ]
- 
- if env['usb']:
-     # In FreeBSD except version 7, USB libraries are in the base system
-@@ -1150,7 +1143,7 @@
+--- SConstruct.orig	2013-05-01 09:44:21.000000000 +0400
++++ SConstruct	2013-05-01 16:30:55.000000000 +0400
+@@ -590,7 +590,14 @@
+ #ifdef __LITTLE_ENDIAN__
+ #undef WORDS_BIGENDIAN
+ #else
+-#include <endian.h>
++''')
++
++if config.CheckHeader("endian.h"):
++	confdefs.append("#include <endian.h>")
++elif config.CheckHeader("sys/endian.h"):
++	confdefs.append("#include <sys/endian.h>")
++
++confdefs.append('''
+ #if __BYTE_ORDER == __BIG_ENDIAN
+ #define WORDS_BIGENDIAN 1
+ #elif __BYTE_ORDER == __LITTLE_ENDIAN
+@@ -1242,7 +1249,7 @@
  if not env['python']:
      python_install = []
  else:
 -    python_lib_dir = sysconfig.get_python_lib(plat_specific=1)
-+    python_lib_dir = sysconfig.get_python_lib(plat_specific=1, prefix = env['prefix'])
++    python_lib_dir = sysconfig.get_python_lib(plat_specific=1,prefix=env['prefix'])
      python_module_dir = python_lib_dir + os.sep + 'gps'
      python_extensions_install = python_env.Install( DESTDIR + python_module_dir,
                                                      python_built_extensions)

Modified: head/astro/gpsd/pkg-descr
==============================================================================
--- head/astro/gpsd/pkg-descr	Fri May  3 04:34:36 2013	(r317169)
+++ head/astro/gpsd/pkg-descr	Fri May  3 04:56:40 2013	(r317170)
@@ -1,11 +1,11 @@
-gpsd is a service daemon that monitors one or more GPSes 
-attached to a host computer through serial or USB ports, 
-making all data on the location/course/velocity of the 
-sensors available to be queried on TCP port 2947 of the 
-host computer. With gpsd, multiple GPS client applications 
-(such as navigational and wardriving software) can share 
-access to GPSes without contention or loss of data. Also, 
-gpsd responds to queries with a format that is substantially 
+gpsd is a service daemon that monitors one or more GPSes
+attached to a host computer through serial or USB ports,
+making all data on the location/course/velocity of the
+sensors available to be queried on TCP port 2947 of the
+host computer. With gpsd, multiple GPS client applications
+(such as navigational and wardriving software) can share
+access to GPSes without contention or loss of data. Also,
+gpsd responds to queries with a format that is substantially
 easier to parse than the NMEA 0183 emitted by most GPSes.
 
 WWW: http://catb.org/gpsd/

Modified: head/astro/gpsd/pkg-plist
==============================================================================
--- head/astro/gpsd/pkg-plist	Fri May  3 04:34:36 2013	(r317169)
+++ head/astro/gpsd/pkg-plist	Fri May  3 04:56:40 2013	(r317170)
@@ -1,16 +1,16 @@
+bin/cgps
 bin/gegps
 bin/gpscat
 bin/gpsctl
 bin/gpsdecode
 bin/gpsfake
+bin/gpsmon
 bin/gpspipe
 bin/gpsprof
 bin/gpxlogger
 bin/lcdgps
 bin/xgps
 bin/xgpsspeed
-%%CURSES%%bin/cgps
-%%CURSES%%bin/gpsmon
 include/gps.h
 include/libgpsmm.h
 %%QTBIND%%lib/libQgpsmm.prl
@@ -23,9 +23,9 @@ lib/libgps.so.20
 lib/libgps.so.20.0
 lib/libgps.so.20.0.0
 lib/libgpsd.so
-lib/libgpsd.so.20
-lib/libgpsd.so.20.0
-lib/libgpsd.so.20.0.0
+lib/libgpsd.so.21
+lib/libgpsd.so.21.0
+lib/libgpsd.so.21.0.0
 %%PYTHON_SITELIBDIR%%/gps/__init__.py
 %%PYTHON_SITELIBDIR%%/gps/__init__.pyc
 %%PYTHON_SITELIBDIR%%/gps/__init__.pyo

Modified: head/astro/marble/Makefile
==============================================================================
--- head/astro/marble/Makefile	Fri May  3 04:34:36 2013	(r317169)
+++ head/astro/marble/Makefile	Fri May  3 04:56:40 2013	(r317170)
@@ -2,6 +2,7 @@
 
 PORTNAME=	marble
 PORTVERSION=	${KDE4_VERSION}
+PORTREVISION=	1
 CATEGORIES=	astro kde
 MASTER_SITES=	${MASTER_SITE_KDE}
 MASTER_SITE_SUBDIR=	${KDE4_BRANCH}/${PORTVERSION}/src

Modified: head/astro/qlandkartegt/Makefile
==============================================================================
--- head/astro/qlandkartegt/Makefile	Fri May  3 04:34:36 2013	(r317169)
+++ head/astro/qlandkartegt/Makefile	Fri May  3 04:56:40 2013	(r317170)
@@ -3,6 +3,7 @@
 
 PORTNAME=	qlandkartegt
 PORTVERSION=	1.5.1
+PORTREVISION=	1
 CATEGORIES=	astro
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/QLandkarteGT%20${PORTVERSION}
 

Modified: head/x11/kde4-workspace/Makefile
==============================================================================
--- head/x11/kde4-workspace/Makefile	Fri May  3 04:34:36 2013	(r317169)
+++ head/x11/kde4-workspace/Makefile	Fri May  3 04:56:40 2013	(r317170)
@@ -2,6 +2,7 @@
 
 PORTNAME=	kde-workspace
 PORTVERSION=	${KDE4_VERSION}
+PORTREVISION=	1
 CATEGORIES=	x11 kde
 MASTER_SITES=	${MASTER_SITE_KDE}
 MASTER_SITE_SUBDIR=	${KDE4_BRANCH}/${PORTVERSION}/src
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2013-05-03 05:57:21 UTC
State Changed
From-To: open->closed

Committed, thanks.